Bug 57801 - Segmentation fault when trying to compile kde, octave and avifile when qt-2.3.2 was installed.
Segmentation fault when trying to compile kde, octave and avifile when qt-2.3...
Status: CLOSED WORKSFORME
Product: Red Hat Linux
Classification: Retired
Component: gcc (Show other bugs)
7.2
athlon Linux
medium Severity medium
: ---
: ---
Assigned To: Jakub Jelinek
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-12-23 14:44 EST by Tony Clark
Modified: 2007-04-18 12:38 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-10-02 15:54:50 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Tony Clark 2001-12-23 14:44:18 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:0.9.2.1) Gecko/20010901

Description of problem:
++ is having a lot of segmentation faults when building latest versions of
kde as well as octave.

c++ -c  -I. -I.. -I../liboctave -I../src -I../libcruft/misc  -I../glob
-I../glob -DHAVE_CONFIG_H -mieee-fp -fno-implicit-templates -g -O2 -Wall
input.cc -o input.o
input.cc: In function `string generate_completion (const string &,
int)':
input.cc:460: Internal error: Segmentation fault.
Please submit a full bug report.
See <URL:http://bugzilla.redhat.com/bugzilla/> for instructions.
mak


Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1../configure
2.make
3.
	

Actual Results:  c++ -c  -I. -I.. -I../liboctave -I../src
-I../libcruft/misc  -I../glob -I../glob -DHAVE_CONFIG_H -mieee-fp
-fno-implicit-templates -g -O2 -Wall gripes.cc -o gripes.o
c++ -c  -I. -I.. -I../liboctave -I../src -I../libcruft/misc  -I../glob
-I../glob -DHAVE_CONFIG_H -mieee-fp -fno-implicit-templates -g -O2 -Wall
help.cc -o help.o
c++ -c  -I. -I.. -I../liboctave -I../src -I../libcruft/misc  -I../glob
-I../glob -DHAVE_CONFIG_H -mieee-fp -fno-implicit-templates -g -O2 -Wall
input.cc -o input.o
input.cc: In function `string generate_completion (const string &,
int)':
input.cc:460: Internal error: Segmentation fault.
Pl

Expected Results:  successful build

Additional info:

happens when building qt-2.3.2 and verious other kde packages
Comment 1 Jakub Jelinek 2001-12-28 06:32:02 EST
Is it reproducible (always on the same file, same error)?
If yes, please attach here preprocessed source which triggers it and
command line options used to trigger it, otherwise it is highly likely
a hardware problem.
Comment 2 Alan Cox 2002-12-15 13:58:24 EST
No info after 12 months assuming bad ram and gcc 2.96 stuff fixed in 3.2

Note You need to log in before you can comment on or make changes to this bug.